DECLARE SUB CenterText ()
DECLARE SUB Bullseye ()
DECLARE SUB Inventory ()
DECLARE SUB Objectives ()
DECLARE SUB CannotGo ()
DECLARE SUB Cyberspace ()
DECLARE SUB ReadBooks ()
DECLARE SUB EndGame ()
DECLARE SUB Dead ()
DECLARE SUB Quit ()
DECLARE SUB Help ()
DECLARE SUB PressAnyKey ()
DECLARE SUB DNA ()
DECLARE SUB Backspace ()
DECLARE SUB Password ()
DECLARE SUB Teletype ()
DECLARE SUB DissolveScreen ()
'$INCLUDE: 'c:\bc7\programs\theta\global.bi'

  CLS
  RANDOMIZE TIMER
  LOCATE , , 0
  PALETTE 0, 8
  COLOR 1, 8, 9
  LOCATE 4, 1
  Text = "KCCK Designs presents:": CenterText
  COLOR 15, 0, 8
  LOCATE 9, 1
  Text = "A production of epic proportions.": CenterText
  SLEEP 2
  DNA
  CLS
  PALETTE 0, 8

DeclareInventoryVariables:
  suit = 0: powerjack = 0: powercrystal = 0
  cyberjack = 0: keyalpha = 0: keybeta = 0: virus = 0: disc = 1

DeclareEnvironmentVariables:
  power = 0: crystal = 0: baydoor = 0: floor = 1: playriskgame = 0: copydrive = 0
  fuel = 0: knowledge = 0: searchreadyroom = 0: riskgame = 0: searchvirus = 0
  combo1 = 0: combo2 = 0: combo3 = 0: combo11 = 0: combo22 = 0: combo33 = 0
  virologysearch = 0: baydoor2 = 1: bridgesearch = 0: crewsearch = 0

DeclareCyberspaceVariables:
  cyberspacevirus = 0: commanddeck = 0: comvirus = 0: volumea = "2B38-OFCD"

RandomizeCombination:
  combo1 = INT(100 * RND(1)) + 1
  combostring1 = STR$(combo1)
  combo2 = INT(100 * RND(1)) + 1
  combostring2 = STR$(combo2)
  combo3 = INT(100 * RND(1)) + 1
  combostring3 = STR$(combo3)

100 LOCATE , , 0
  CLS
  PRINT
  PRINT
  PRINT "  The year is 2165.  The Earth has been at war with an alien force of"
  PRINT "superior technology.  The Earth forces have suffered many heavy losses in"
  PRINT "the twenty year-long war.  There seemed to be no hope or escape for Mother"
  PRINT "Earth."
  PRINT
  PRINT "  Five months ago, a dim glimmer of hope surfaced.  The location of an alien"
  PRINT "military research station was detected on the surface of Betelguese IV."
  PRINT "This station was engaged in the production of a new strain of virus,"
  PRINT "codenamed 1123-theta, that would anhilliate any carbon-based life that it"
  PRINT "came into contact with.  Theoretically, the virus would be incurable."
  PRINT
  PRINT "  Earth Command has assigned you to infiltrate the alien installation.  You"
  PRINT "will be armed with a disc containing a software virus, to be planted in the"
  PRINT "central cyberspace network of the station.  Obtain a sample of the 1123-theta"
  PRINT "virus and escape."
  PressAnyKey

Instructions:
  CLS : PRINT : PRINT "Would you like instructions? ";
  LOCATE , , 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "Y" THEN Help: GOTO 1000
  IF Temp = "N" THEN GOTO 1000
  GOTO Instructions

1000 LOCATE , , 0
  CLS
  PRINT
  PRINT "  Your shuttle has landed in the strangely quiet station.  You look around"
  PRINT "in amazement in the similarity between this alien station and a Terran"
  PRINT "station.  If you didn't know better, you'd think that you were on the"
  PRINT "Venusian Hawthorne Biological Station."
  PRINT
  PRINT "  You stand up in your shuttle's cockpit and notice that your fuel reserves"
  PRINT "are almost depleted.  You will have to refill them from the station's fuel"
  PRINT "storages.  You hear the shuttle bay doors close."
  PRINT
  PRINT "  You step off your shuttle into a shuttle bay.  You note that the atmosphere"
  PRINT "is breathable.  Gravity is also very close to that of Earth.  This mission"
  PRINT "may be different than initially expected.  You also noticd that the lights"
  PRINT "are dimmed slightly;  the station must be running on auxillary power."
PressAnyKey
  start = TIMER

2000 CLS
  PRINT "You are in a large shuttle bay.  Your shuttle is here, waiting to facilitate"
  PRINT "your departure.  Large bay doors are to the north, and a hatch to the south"
  PRINT "is labeled 'Cargo Bay 4.'  Your shuttle is to the west.  The bay doors are"
  IF baydoor = 0 THEN PRINT "closed." ELSE PRINT "open."
2015 LINE INPUT "> "; shuttlebay$: shuttlebay$ = UCASE$(shuttlebay$)
  IF shuttlebay$ = "N" THEN 2031
  IF shuttlebay$ = "S" THEN 2500
  IF shuttlebay$ = "E" THEN CannotGo: GOTO 2015
  IF shuttlebay$ = "SEARCH" THEN 2035
  IF shuttlebay$ = "OBJ" THEN Objectives: GOTO 2015
  IF shuttlebay$ = "I" OR shuttlebay$ = "INVENTORY" THEN Inventory: GOTO 2015
  IF shuttlebay$ = "QUIT" THEN Quit: GOTO 2015
  IF shuttlebay$ = "PUT ON SUIT" AND suit = 0 OR shuttlebay$ = "PUT ON PRESSURE SUIT" AND suit = 0 OR shuttlebay$ = "WEAR PRESSURE SUIT" AND suit = 0 OR shuttlebay$ = "WEAR SUIT" AND suit = 0 OR shuttlebay$ = "USE PRESSURE SUIT" AND suit = 0 OR  _
shuttlebay$ = "USE SUIT" AND suit = 0 THEN PRINT "You do not have that item to use.": GOTO 2015
  IF shuttlebay$ = "PUT ON SUIT" AND suit = 2 OR shuttlebay$ = "PUT ON PRESSURE SUIT" AND suit = 2 OR shuttlebay$ = "WEAR PRESSURE SUIT" AND suit = 2 OR shuttlebay$ = "WEAR SUIT" AND suit = 2 OR shuttlebay$ = "USE PRESSURE SUIT" AND suit = 2 OR  _
shuttlebay$ = "USE SUIT" AND suit = 2 THEN PRINT "You are already wearing the pressure suit.": GOTO 2015
  IF shuttlebay$ = "PUT ON SUIT" AND suit = 1 OR shuttlebay$ = "PUT ON PRESSURE SUIT" AND suit = 1 OR shuttlebay$ = "WEAR PRESSURE SUIT" AND suit = 1 OR shuttlebay$ = "WEAR SUIT" AND suit = 1 OR shuttlebay$ = "USE PRESSURE SUIT" AND suit = 1 OR  _
shuttlebay$ = "USE SUIT" AND suit = 1 THEN PRINT "You put on the pressure suit.": suit = 2: GOTO 2015
  IF shuttlebay$ = "GET ON SHUTTLE" OR shuttlebay$ = "W" OR shuttlebay$ = "ENTER SHUTTLE" OR shuttlebay$ = "BOARD SHUTTLE" THEN 5100
  IF shuttlebay$ = "PUSH BUTTON" THEN 2050
  IF shuttlebay$ = "LOOK" THEN 2000
  PRINT "You cannot do that here.": GOTO 2015
2031 IF baydoor = 0 THEN PRINT "The shuttle bay doors are closed.": GOTO 2015 ELSE GOTO 2100
2035 PRINT "You find a button marked 'Shuttle Bay Doors.'  Do you push it? ";
2036
  LOCATE , , 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "Y" THEN PRINT "yes": GOTO 2050
  IF Temp = "N" THEN PRINT "no": GOTO 2015
  GOTO 2036
2050 PRINT "You push the button and ";
  IF baydoor = 0 THEN baydoor = 1: PRINT "the shuttle bay doors open.": GOTO 2015
  IF baydoor = 1 THEN baydoor = 0: PRINT "the shuttle bay doors close.": GOTO 2015

2100 CLS
  PRINT "You are standing on a narrow scaffold that runs along the side of the station."
  PRINT "The view of the landscape would be much more beautiful if you knew that the"
  PRINT "atmosphere wasn't mostly methane and radon.  The scaffolding runs to the east,"
  PRINT "as well as connectiong with the shuttle bay to the south."
  IF suit = 0 THEN PRINT "Unfortunately, you are not wearing protection against the atmosphere."
  IF suit = 0 THEN PRINT "Needless to say, you die very quickly in the alien gasses.": Dead
  IF suit = 1 THEN PRINT "The pressure suits are really great for protecting people from hostile"
  IF suit = 1 THEN PRINT "atmospheres.  If only you were wearing yours.  Oh, well.  You die.": PRINT : Dead
2109 LINE INPUT "> "; walkway1$: walkway1$ = UCASE$(walkway1$)
  IF walkway1$ = "N" OR walkway1$ = "W" THEN CannotGo: GOTO 2109
  IF walkway1$ = "S" THEN 2000
  IF walkway1$ = "E" THEN 2200
  IF walkway1$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 2109
  IF walkway1$ = "OBJ" THEN Objectives: GOTO 2109
  IF walkway1$ = "I" OR walkway1$ = "INVENTORY" THEN Inventory: GOTO 2109
  IF walkway1$ = "QUIT" THEN Quit: GOTO 2109
  IF walkway1$ = "LOOK" THEN 2100
  PRINT "You cannot do that here.": GOTO 2109

2200 CLS
  PRINT "You are standing on the eastern end of the scaffolding.  The walkway runs to"
  PRINT "the west and also runs into an open cargo bay to the south."
2202 LINE INPUT "> "; walkway2$: walkway2$ = UCASE$(walkway2$)
  IF walkway2$ = "N" OR walkway2$ = "E" THEN CannotGo: GOTO 2202
  IF walkway2$ = "S" THEN 2300
  IF walkway2$ = "W" THEN 2100
  IF walkway2$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 2202
  IF walkway2$ = "OBJ" THEN Objectives: GOTO 2202
  IF walkway2$ = "I" OR walkway2$ = "INVENTORY" THEN Inventory: GOTO 2202
  IF walkway2$ = "QUIT" THEN Quit: GOTO 2202
  IF walkway2$ = "LOOK" THEN GOTO 2200
  PRINT "You cannot do that here.": GOTO 2202

2300 CLS
  PRINT "You are in a large cargo bay.  Scattered boxes and crates lie in disarray."
  PRINT "The cargo bay doors to the north open to a scaffolding.  A large opening to"
  PRINT "the south leads to a teleport pad.  The bay doors are ";
  IF baydoor2 = 1 THEN PRINT "open." ELSE PRINT "closed."
2305 LINE INPUT "> "; cargobay2$: cargobay2$ = UCASE$(cargobay2$)
  IF cargobay2$ = "N" THEN 2333
  IF cargobay2$ = "S" THEN 2400
  IF cargobay2$ = "E" OR cargobay2$ = "W" THEN CannotGo: GOTO 2305
  IF cargobay2$ = "OPEN CRATE" OR cargobay2$ = "OPEN BOX" THEN PRINT "You find nothing of interest in the crates.": GOTO 2305
  IF cargobay2$ = "OBJ" THEN Objectives: GOTO 2305
  IF cargobay2$ = "I" OR cargobay2$ = "INVENTORY" THEN Inventory: GOTO 2305
  IF cargobay2$ = "QUIT" THEN Quit: GOTO 2305
  IF cargobay2$ = "LOOK" THEN GOTO 2300
  IF cargobay2$ = "PUSH BUTTON" THEN 2325
  IF cargobay2$ = "SEARCH" THEN 2330
  PRINT "You cannot do that here.": GOTO 2305
2325 PRINT "You push the button and ";
  IF baydoor2 = 0 THEN baydoor2 = 1: PRINT "the shuttle bay doors open.": GOTO 2305
  IF baydoor2 = 1 THEN baydoor2 = 0: PRINT "the shuttle bay doors close.": GOTO 2305
2330 PRINT "You find a button marked 'Shuttle Bay Doors.'  Do you push it? ";
2331
  LOCATE , , 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "Y" THEN PRINT "yes": GOTO 2325
  IF Temp = "N" THEN PRINT "no": GOTO 2305
  GOTO 2331
2333 IF baydoor2 = 0 THEN PRINT "The shuttle bay doors are closed.": GOTO 2305 ELSE GOTO 2200

2400 CLS
  GOSUB 2450
  LOCATE , , 0
  PRINT
  PRINT "To which floor would you like to teleport?"
  PRINT
  PRINT "  1 - Cargo Deck"
  PRINT "  2 - Engineering Deck"
  PRINT "  3 - Science Deck"
  PRINT "  4 - Living Deck"
  IF commanddeck = 1 THEN PRINT "  5 - Command Deck"
  PRINT "  E - exit teleport pad": PRINT
2415
  LOCATE 3, 44, 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  LOCATE , , 0
  IF Temp = "1" THEN floor = 1: GOTO 2300
  IF Temp = "2" THEN floor = 2: GOTO 2600
  IF Temp = "3" THEN floor = 3: GOTO 3000
  IF Temp = "4" THEN floor = 4: GOTO 4100
  IF Temp = "5" AND commanddeck = 1 THEN floor = 5: GOTO 3700
  IF Temp = "E" THEN GOTO 2416
  GOTO 2415
2416 IF floor = 1 THEN GOTO 2300
  IF floor = 2 THEN GOTO 2600
  IF floor = 3 THEN GOTO 3000
  IF floor = 4 THEN GOTO 4100
  IF floor = 5 THEN GOTO 3700
2450 PRINT "You are at the teleport pad on the ";
  IF floor = 1 THEN PRINT "Cargo Deck."
  IF floor = 2 THEN PRINT "Engineering Deck."
  IF floor = 3 THEN PRINT "Science Deck."
  IF floor = 4 THEN PRINT "Living Deck."
  IF floor = 5 THEN PRINT "Command Deck."
  RETURN

2500 CLS
  PRINT "You are in a large cargo bay.  Stacks of sealed crates and boxes line the"
  PRINT "walls.  Racks of engineering equipment cover one wall, and large pieces of"
  PRINT "machinery lay scattered about in seeming disarray.  The only exit is to the"
  PRINT "north."
2504 LINE INPUT "> "; cargobay1$: cargobay1$ = UCASE$(cargobay1$)
  IF cargobay1$ = "N" THEN 2000
  IF cargobay1$ = "S" OR cargobay1$ = "E" OR cargobay1$ = "W" THEN CannotGo: GOTO 2504
  IF cargobay1$ = "SEARCH" OR cargobay1$ = "OPEN CRATE" OR cargobay1$ = "OPEN BOX" THEN GOSUB 2520: GOTO 2504
  IF cargobay1$ = "OBJ" THEN Objectives: GOTO 2504
  IF cargobay1$ = "I" OR cargobay1$ = "INVENTORY" THEN Inventory: GOTO 2504
  IF cargobay1$ = "QUIT" THEN Quit: GOTO 2504
  IF cargobay1$ = "PUT ON SUIT" AND suit = 0 OR cargobay1$ = "PUT ON PRESSURE SUIT" AND suit = 0 OR cargobay1$ = "WEAR PRESSURE SUIT" AND suit = 0 OR cargobay1$ = "WEAR SUIT" AND suit = 0 OR cargobay1$ = "USE PRESSURE SUIT" AND suit = 0 OR  _
cargobay1$ = "USE SUIT" AND suit = 0 THEN PRINT "You do not have that item to use.": GOTO 2504
  IF cargobay1$ = "PUT ON SUIT" AND suit = 2 OR cargobay1$ = "PUT ON PRESSURE SUIT" AND suit = 2 OR cargobay1$ = "WEAR PRESSURE SUIT" AND suit = 2 OR cargobay1$ = "WEAR SUIT" AND suit = 2 OR cargobay1$ = "USE PRESSURE SUIT" AND suit = 2 OR  _
cargobay1$ = "USE SUIT" AND suit = 2 THEN PRINT "You are already wearing the pressure suit.": GOTO 2504
  IF cargobay1$ = "PUT ON SUIT" AND suit = 1 OR cargobay1$ = "PUT ON PRESSURE SUIT" AND suit = 1 OR cargobay1$ = "WEAR PRESSURE SUIT" AND suit = 1 OR cargobay1$ = "WEAR SUIT" AND suit = 1 OR cargobay1$ = "USE PRESSURE SUIT" AND suit = 1 OR  _
cargobay1$ = "USE SUIT" AND suit = 1 THEN PRINT "You put on the pressure suit.": suit = 2: GOTO 2504
  IF cargobay1$ = "LOOK" THEN GOTO 2500
  PRINT "You cannot do that here.": GOTO 2504
2520 IF suit = 1 OR suit = 2 THEN PRINT "You find nothing more of interest.": RETURN
  suit = 1: PRINT "In a crate, you find a pile of pressure suits.  You take one and re-seal"
  PRINT "the crate.": RETURN

2600 CLS
  PRINT "You are standing at the junction of several large engineering access tubes."
  PRINT "The lighting is dim, and you can hear the faint hum of machinery. The poorly-"
  PRINT "lit tubes run to the east and the south and the teleport pad is": PRINT "to the west."
2603 LINE INPUT "> "; junction$: junction$ = UCASE$(junction$)
  IF juction$ = "N" THEN CannotGo: GOTO 2603
  IF junction$ = "S" THEN 2800
  IF junction$ = "E" THEN 2700
  IF junction$ = "W" THEN 2400
  IF junction$ = "SEARCH" THEN PRINT "You find nothing in the dim light.": GOTO 2603
  IF junction$ = "OBJ" THEN Objectives: GOTO 2603
  IF junction$ = "I" OR junction$ = "INVENTORY" THEN Inventory: GOTO 2603
  IF junction$ = "QUIT" THEN Quit: GOTO 2603
  IF junction$ = "LOOK" THEN 2600
  PRINT "You cannot do that here.": GOTO 2603

2700 CLS
  PRINT "You are standing in a brightly-lit room.  The hum you heard earlier came from"
  PRINT "the machinery in this room.  A large column, the station's reactor core,"
  PRINT "stands in the middle of the room.  Computers line the walls.  There are"
  PRINT "passages to both the west and south.  ";
  IF crystal = 0 THEN PRINT "The reactor is inactive.": PRINT "The reactor chamber is empty."
  IF crystal = 1 THEN PRINT "The reactor is active.": PRINT "Power pulses out to other parts of the station."
2705 LINE INPUT "> "; reactor$: reactor$ = UCASE$(reactor$)
  IF reactor$ = "N" OR reactor$ = "E" THEN CannotGo: GOTO 2705
  IF reactor$ = "S" THEN 2900
  IF reactor$ = "W" THEN 2600
  IF reactor$ = "OBJ" THEN Objectives: GOTO 2705
  IF reactor$ = "I" OR reactor$ = "INVENTORY" THEN Inventory: GOTO 2705
  IF reactor$ = "QUIT" THEN Quit: GOTO 2705
  IF reactor$ = "SEARCH" THEN PRINT "You find nothing but meaningless output on the computers.": GOTO 2705
  IF reactor$ = "USE CRYSTAL" OR reactor$ = "USE POWER CRYSTAL" OR reactor$ = "PUT CRYSTAL IN CHAMBER" OR reactor$ = "PUT POWER CRYSTAL IN CHAMBER" THEN GOSUB 2720: GOTO 2705
  IF reactor$ = "LOOK" THEN GOTO 2700
  PRINT "You cannot do that here.": GOTO 2705
2720 IF powercrystal = 0 THEN PRINT "You do not have that item to use.": RETURN
  IF powercrystal = 2 THEN PRINT "You have already restored primary power.": RETURN
  IF powercrystal = 1 AND crystal = 0 THEN PRINT "You insert the power crystal into the reactor chamber and close the chamber"
  IF powercrystal = 1 AND crystal = 0 THEN PRINT "door.  Primary power is restored."
  crystal = 1: powercrystal = 2: RETURN

2800 CLS
  PRINT "You are in the engineering storeroom.  Various tools and hardware lay arranged"
  PRINT "on shelves.  Boxes of replacement parts lay on the ground, some still sealed,"
  PRINT "others opened.  The only exit is to the north."
2803 LINE INPUT "> "; equipment$: equipment$ = UCASE$(equipment$)
  IF equipment$ = "N" THEN 2600
  IF equipment$ = "S" OR equipment$ = "E" OR equipment$ = "W" THEN CannotGo: GOTO 2803
  IF equipment$ = "OBJ" THEN Objectives: GOTO 2803
  IF equipment$ = "I" OR equipment$ = "INVENTORY" THEN Inventory: GOTO 2803
  IF equipment$ = "QUIT" THEN Quit: GOTO 2803
  IF equipment$ = "SEARCH" OR equipment$ = "OPEN BOX" THEN GOSUB 2820: GOTO 2803
  IF equipment$ = "LOOK" THEN GOTO 2800
  PRINT "You cannot do that here.": GOTO 2803
2820 IF powerjack = 1 THEN PRINT "You fand nothing else interesting.": RETURN
  powerjack = 1: PRINT "You find a manual power jack and add it to your inventory.": RETURN

2900 PALETTE 0, 8: CLS
  PRINT "You are in the room to the south of the reactor core.  The only thing in this"
  PRINT "room is a large computer console, labeled 'Primary Computer Terminal.'  A"
  PRINT "single seat sits in front of the computer terminal.  The only exit is to the"
  PRINT "north."
2904 LINE INPUT "> "; terminal$: terminal$ = UCASE$(terminal$)
  IF terminal$ = "N" THEN 2700
  IF terminal$ = "S" OR terminal$ = "E" OR terminal$ = "W" THEN CannotGo: GOTO 2904
  IF terminal$ = "SEARCH" THEN PRINT "You find a cyberjack plug-in port on one side of the terminal.": GOTO 2904
  IF terminal$ = "OBJ" THEN Objectives: GOTO 2904
  IF terminal$ = "I" OR terminal$ = "INVENTORY" THEN Inventory: GOTO 2904
  IF terminal$ = "QUIT" THEN Quit: GOTO 2904
  IF terminal$ = "USE CYBERJACK" OR terminal$ = "ENTER CYBERSPACE" THEN 2916
  IF terminal$ = "LOOK" THEN GOTO 2900
  PRINT "You cannot do that here.": GOTO 2904
2916 IF cyberjack = 0 THEN PRINT "You do not have that item to use here.": GOTO 2904
  IF crystal = 0 THEN PRINT "The station is on emergency power and does not have the resources to"
  IF crystal = 0 THEN PRINT "run cyberspace.": GOTO 2904
  LOCATE , , 0
  PRINT "You plug your cyberjack into the computer terminal and then sit down.  Before"
  PRINT "putting on the cyberjack, you slip your disc into the discdrive.  In a whirl"
  PRINT "of electrons, you find yourself standing in cyberspace.": disc = 3: PressAnyKey
  IF virus = 0 THEN 2931
  PRINT "Your body slumps forward against the computer terminal, unfortunately crushing"
  PRINT "the 1123-theta vial.  The virus is released into the air, and you quickly die."
  PRINT "Bummer.  Your mind is forever trapped inside the cyberspace system. Double"
  PRINT "bummer.  Then the computer crashes.  Triple bummer.  Oh, well."
  PRINT
  Dead
2931 Cyberspace
  GOTO 2900

3000 CLS
  PRINT "You enter a long, brightly-lit hallway.  A black- and white-checked tile floor"
  PRINT "stretches to the south.  Rooms branch off to both the east and west, though"
  PRINT "some are marked with limited access signs.  The air here is so sterile and"
  PRINT "recycled that it is almost difficult to breathe.  The teleport pad is to the"
  PRINT "north."
3004 LINE INPUT "> "; hallway1$: hallway1$ = UCASE$(hallway1$)
  IF hallway1$ = "N" THEN 2400
  IF hallway1$ = "S" THEN 3400
  IF hallway1$ = "E" AND keybeta = 1 THEN PRINT "You use your keycard beta to open the door.": PressAnyKey: GOTO 3200
  IF hallway1$ = "E" AND keybeta = 0 THEN COLOR 20, 0, 9: PRINT "Security access denied.  Beta clearance required.": COLOR 7, 0, 8: GOTO 3004
  IF hallway1$ = "W" THEN 3100
  IF hallway1$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 3004
  IF hallway1$ = "OBJ" THEN Objectives: GOTO 3004
  IF hallway1$ = "I" OR hallway1$ = "INVENTORY" THEN Inventory: GOTO 3004
  IF hallway1$ = "QUIT" THEN Quit: GOTO 3004
  IF hallway1$ = "LOOK" THEN GOTO 3000
  PRINT "You cannot do that here.": GOTO 3004

3100 CLS
  PRINT "You are in the science deck's equipment storeroom.  Shelves of vials and"
  PRINT "beakers line one wall, while cases of sterilized equipment line another."
  PRINT "The only exit is the way you came in, to the east."
3103 LINE INPUT "> "; storage$: storage$ = UCASE$(storage$)
  IF storage$ = "N" OR storage$ = "S" OR storage$ = "W" THEN CannotGo: GOTO 3103
  IF storage$ = "E" THEN 3000
  IF storage$ = "OBJ" THEN Objectives: GOTO 3103
  IF storage$ = "I" OR storage$ = "INVENTORY" THEN Inventory: GOTO 3103
  IF storage$ = "QUIT" THEN Quit: GOTO 3103
  IF storage$ = "SEARCH" AND keybeta = 1 THEN PRINT "You find nothing else of interest.": GOTO 3103
  IF storage$ = "SEARCH" AND keybeta = 0 THEN keybeta = 1: PRINT "In a small box, you find a keycard labeled 'beta.'": GOTO 3103
  IF storage$ = "LOOK" THEN GOTO 3100
  PRINT "You cannot do that here.": GOTO 3103

3200 CLS
  PRINT "You are standing in a large laboratory.  Beakers of colored fluid and glass"
  PRINT "pipes cover much of the surface of the tables.  Several metal cabinets sit"
  PRINT "in one corner, seemingly just collecting dust.  The only exit is the door to"
  PRINT "the west."
3204 LINE INPUT "> "; lab$: lab$ = UCASE$(lab$)
  IF lab$ = "N" OR lab$ = "S" OR lab$ = "E" THEN CannotGo: GOTO 3204
  IF lab$ = "W" THEN 3000
  IF lab$ = "OBJ" THEN Objectives: GOTO 3204
  IF lab$ = "I" OR lab$ = "INVENTORY" THEN Inventory: GOTO 3204
  IF lab$ = "QUIT" THEN Quit: GOTO 3204
  IF lab$ = "SEARCH" AND powercrystal = 1 OR lab$ = "SEARCH" AND powercrystal = 2 THEN PRINT "You find nothing else worth taking.": GOTO 3204
  IF lab$ = "SEARCH" AND powercrystal = 0 THEN PRINT "In one of the dusty cabinets, you make an interesting discovery: a multi-"
  IF lab$ = "SEARCH" AND powercrystal = 0 THEN PRINT "faceted crystal labeled 'Experimental Power Crystal.'  You carefully add"
  IF lab$ = "SEARCH" AND powercrystal = 0 THEN PRINT "it to your growing inventory.": powercrystal = 1: GOTO 3204
  IF lab$ = "LOOK" THEN GOTO 3200
  PRINT "You cannot do that here.": GOTO 3204

3300 CLS
  PRINT "You enter what seems to be a virology lab.  Shelves of bacteria and virus"
  PRINT "samples in petri dishes are stored behind glass along one wall.  Your"
  PRINT "pressure suit protects you from any potential danger of infection.  Besides"
  PRINT "the way you came in, a walk-in specimen-storage freezer is to the south."
3305 LINE INPUT "> "; virology$: virology$ = UCASE$(virology$)
  IF virology$ = "N" OR virology$ = "W" THEN CannotGo: GOTO 3305
  IF virology$ = "S" THEN 3600
  IF virology$ = "E" THEN 3400
  IF virology$ = "SEARCH" AND virologysearch = 0 THEN PRINT "Quickly searching, you find nothing labeled '1123-theta.'  You are almost"
  IF virology$ = "SEARCH" AND virologysearch = 0 THEN PRINT "afraid to even touch anything else.": virologysearch = 1: GOTO 3305
  IF virology$ = "OBJ" THEN Objectives: GOTO 3305
  IF virology$ = "I" OR virology$ = "INVENTORY" THEN Inventory: GOTO 3305
  IF virology$ = "QUIT" THEN Quit: GOTO 3305
  IF virology$ = "SEARCH" AND virologysearch = 1 THEN PRINT "In one corner, you notice a broken beaker on the floor.": virologysearch = 2: GOTO 3305
  IF virology$ = "SEARCH" AND virologysearch = 2 THEN PRINT "There is nothing else of interest in the lab.": GOTO 3305
  IF virology$ = "LOOK" THEN GOTO 3300
  PRINT "You cannot do that here.": GOTO 3305

3400 CLS
  PRINT "You are in the southern end of the long hallway on the science deck.  The"
  PRINT "checkered floor runs north, and two rooms join the hallway here, one to the"
  PRINT "east, the other to the west."
3403 LINE INPUT "> "; hallway2$: hallway2$ = UCASE$(hallway2$)
  IF hallway2$ = "N" THEN 3000
  IF hallway2$ = "S" THEN CannotGo: GOTO 3403
  IF hallway2$ = "E" THEN 3500
  IF hallway2$ = "W" AND keybeta = 1 THEN PRINT "You use your keycard beta to open the door.": PressAnyKey: GOTO 3300
  IF hallway2$ = "W" AND keybeta = 0 THEN COLOR 20, 0, 9: PRINT "Security access denied.  Beta clearance required.": COLOR 7, 0, 8: GOTO 3403
  IF hallway2$ = "SEARCH" THEN PRINT "As in the northern section, you find nothing.": GOTO 3403
  IF hallway2$ = "OBJ" THEN Objectives: GOTO 3403
  IF hallway2$ = "I" OR hallway2$ = "INVENTORY" THEN Inventory: GOTO 3403
  IF hallway2$ = "QUIT" THEN Quit: GOTO 3403
  IF hallway2$ = "LOOK" THEN GOTO 3400
  PRINT "You cannot do that here.": GOTO 3403

3500 CLS
  PRINT "You are in the station's scientific library.  Thousands of texts of every type"
  PRINT "line the walls.  You are startled to notice that they are all in standard"
  PRINT "English!  Several padded reading chairs and wooden tables cover the floor of"
  PRINT "the spacious room."
3504 LINE INPUT "> "; library$: library$ = UCASE$(library$)
  IF library$ = "N" OR library$ = "S" OR library$ = "E" THEN CannotGo: GOTO 3504
  IF library$ = "W" THEN 3400
  IF library$ = "OBJ" THEN Objectives: GOTO 3504
  IF library$ = "I" OR library$ = "INVENTORY" THEN Inventory: GOTO 3504
  IF library$ = "QUIT" THEN Quit: GOTO 3504
  IF library$ = "GET BOOK" OR library$ = "GET BOOKS" OR library$ = "READ" OR library$ = "READ BOOK" OR library$ = "READ BOOKS" OR library$ = "SEARCH" THEN ReadBooks: GOTO 3500
  IF library$ = "LOOK" THEN GOTO 3500
  PRINT "You cannot do that here.": GOTO 3504

3600 CLS
  PRINT "You are in a small specimen storage freezer.  Frosted shelves contain row"
  PRINT "upon row of small vials, each labeled with a name, date, and, more often than"
  PRINT "not, several warnings of biohazard danger.  Even with your pressure suit's"
  PRINT "internal heater, you can feel the biting cold."
3604 LINE INPUT "> "; freezer$: freezer$ = UCASE$(freezer$)
  IF freezer$ = "N" THEN 3300
  IF freezer$ = "S" OR freezer$ = "E" OR freezer$ = "W" THEN CannotGo: GOTO 3604
  IF freezer$ = "OBJ" THEN Objectives: GOTO 3604
  IF freezer$ = "I" OR freezer$ = "INVENTORY" THEN Inventory: GOTO 3604
  IF freezer$ = "QUIT" THEN Quit: GOTO 3604
  IF freezer$ = "SEARCH" AND virus = 1 THEN PRINT "None of the other virus samples interest you.": GOTO 3604
  IF freezer$ = "SEARCH" AND virus = 0 THEN GOTO 3620
  IF freezer$ = "LOOK" THEN GOTO 3600
  PRINT "You cannot do that here.": GOTO 3604
3620 IF searchvirus = 2 THEN PRINT "You locate a vial marked '1123-theta' misfiled in one corner.  You take it and"
  IF searchvirus = 2 THEN PRINT "carefully add it to your inventory.": virus = 1: GOTO 3604
  IF searchvirus = 1 THEN PRINT "Again you look, but you see no sign of the 1123-theta virus.": searchvirus = 2: GOTO 3604
  IF searchvirus = 0 THEN PRINT "You glance over the shelved vials but find nothing.": searchvirus = 1: GOTO 3604

3700 CLS
  PRINT "You are standing in a small foyer area.  Large signs on the walls to your left"
  PRINT "and right specify the area as a 'security checkpoint.'  The door to the south"
  PRINT "is clearly labeled 'Bridge.'  It seems that alpha security is required for"
  PRINT "access.  The teleport pad is to the north."
3704 LINE INPUT "> "; security$: security$ = UCASE$(security$)
  IF security$ = "N" THEN 2400
  IF security$ = "E" OR security$ = "W" THEN CannotGo: GOTO 3704
  IF security$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 3704
  IF security$ = "OBJ" THEN Objectives: GOTO 3704
  IF security$ = "I" OR security$ = "INVENTORY" THEN Inventory: GOTO 3704
  IF security$ = "QUIT" THEN Quit: GOTO 3704
  IF security$ = "S" AND keyalpha = 1 OR security$ = "USE KEYCARD" AND keyalpha = 1 OR security$ = "USE KEYCARD ALPHA" AND keyalpha = 1 OR security$ = "S" AND keyalpha = 1 THEN PRINT "You use your keycard alpha to open the door.": SLEEP 1: GOTO 3900
  IF security$ = "S" AND keyalpha = 0 OR security$ = "USE KEYCARD" AND keyalpha = 0 OR security$ = "USE KEYCARD ALPHA" AND keyalpha = 0 OR security$ = "S" AND keyalpha = 0 THEN COLOR 20, 0, 9: PRINT  _
"Security access denied.  Alpha clearance required.": COLOR 7, 0, 8: GOTO 3704
  IF security$ = "LOOK" THEN GOTO 3700
  PRINT "You cannot do that here.": GOTO 3704

3800 CLS
  PRINT "You are standing in the captain's ready room.  Pictures line the paneled"
  PRINT "walls.  A table, chair, and file cabinet are the only furniture.  Thick"
  PRINT "dust covers the room.  You see no signs of disturbance or foorprints.  A"
  PRINT "narrow window looks out onto the surface of the planet."
3804 LINE INPUT "> "; readyroom$: readyroom$ = UCASE$(readyroom$)
  IF readyroom$ = "N" OR readyroom$ = "S" OR readyroom$ = "W" THEN CannotGo: GOTO 3804
  IF readyroom$ = "E" THEN 3900
  IF readyroom$ = "OBJ" THEN Objectives: GOTO 3804
  IF readyroom$ = "I" OR readyroom$ = "INVENTORY" THEN Inventory: GOTO 3804
  IF readyroom$ = "QUIT" THEN Quit: GOTO 3804
  IF readyroom$ = "SEARCH" OR readyroom$ = "OPEN CABINET" OR readyroom$ = "OPEN FILE CABINET" THEN GOSUB 3815: GOTO 3804
  IF readyroom$ = "LOOK" THEN 3800
  PRINT "You cannot do that here.": GOTO 3804
3815 IF searchreadyroom = 2 THEN PRINT "You find nothing else of interest.": RETURN
  IF searchreadyroom = 0 THEN PRINT "You quickly go over the room and find nothing.": searchreadyroom = 1: RETURN
  IF searchreadyroom = 1 THEN PRINT "You go over the room again, this time more carefully checking everything."
  PRINT "In the file cabinet you find many documents and papers concerning the"
  PRINT "operations of the station.  Sorting through the full drawers, you make an"
  PRINT "astounding discovery.  Several memos and documents are stamped with the seal"
  PRINT "of the Earth!  These documents were sent by someone on Earth with very high"
  PRINT "security access, some of them twenty-five years old.  Your photographic"
  PRINT "memory absorbs the evidence and your return the papers to their drawers."
  knowledge = 1: searchreadyroom = 2: RETURN

3900 CLS
  PRINT "You are standing on the operations bridge of the station.  Banks of consoles"
  PRINT "line the walls.  Communication equipment, weapons, defences, they are all"
  PRINT "here.  Some consoles are blackened as if something exploded.  There are three"
  PRINT "exits, one to the north, one to the east, and one to the west."
  IF crystal = 1 AND power = 0 THEN PRINT "Electricity arcs across the exploded consoles.  Power is on, but the"
  IF crystal = 1 AND power = 0 THEN PRINT "connection is severed.": GOTO 3910
  IF crystal = 1 AND power = 1 THEN PRINT "Your powerjack seems to be holding up and completing the circutry."
3910 LINE INPUT "> "; bridge$: bridge$ = UCASE$(bridge$)
  IF bridge$ = "N" THEN 3700
  IF bridge$ = "S" THEN CannotGo: GOTO 3910
  IF bridge$ = "E" THEN 4000
  IF bridge$ = "W" THEN 3800
  IF bridge$ = "OBJ" THEN Objectives: GOTO 3910
  IF bridge$ = "I" OR bridge$ = "INVENTORY" THEN Inventory: GOTO 3910
  IF bridge$ = "QUIT" THEN Quit: GOTO 3910
  IF bridge$ = "SEARCH" AND bridgesearch = 1 THEN PRINT "You find nothing that strikes your interest.": GOTO 3910
  IF bridge$ = "SEARCH" AND bridgesearch = 0 THEN GOTO 3935
  IF bridge$ = "USE POWER JACK" THEN GOSUB 3925: GOTO 3910
  IF bridge$ = "LOOK" THEN GOTO 3900
  PRINT "You cannot do that here.": GOTO 3910
3925 IF powerjack = 0 THEN PRINT "You do not have that item to use here.": RETURN
  IF power = 1 THEN PRINT "You have already repaired the circutry.": RETURN
  IF crystal = 0 THEN PRINT "You have no need to do that now.": RETURN
  PRINT "You use your powerjack as a jumper cable to repair the destroyed circutry."
  PRINT "The lights brighten, and the background hum of the station grows louder."
  power = 1: powercrystal = 2: RETURN
3935 PRINT "You glance over the many scanner screens.  Oh, my gosh!  One of them shows an"
  PRINT "approaching fleet of battlecruisers bristling with deadly weapons!  It takes"
  PRINT "you several moments to calm down and realize that it's only a bit of grit that"
  PRINT "has settled on the scanner screen.  Well, it looks like life'll be boring"
  PRINT "today.": bridgesearch = 1: GOTO 3910

4000 CLS
  PRINT "You are standing on the observation deck of the station.  A bubbled dome of"
  PRINT "transparent metal protects you from the harsh fury of the storm outside."
  PRINT "You can hear the faint roar of the wind as it rushes by at almost two-"
  PRINT "hundred kilometers per hour.  Marbled browns swirl and mix with reds and"
  PRINT "yellows.  The red surface of the planet stretches on into the distance."
  PRINT "A conference table here is surrounded by half a dozen padded chairs."
4007 LINE INPUT "> "; observation$: observation$ = UCASE$(observation$)
  IF observation$ = "N" OR observation$ = "S" OR observation$ = "E" THEN CannotGo: GOTO 4007
  IF observation$ = "W" THEN 3900
  IF observation$ = "SEARCH" THEN PRINT "You find nothing, though the surreal view warms your troubled soul.": GOTO 4007
  IF observation$ = "OBJ" THEN Objectives: GOTO 4007
  IF observation$ = "I" OR observation$ = "INVENTORY" THEN Inventory: GOTO 4007
  IF observation$ = "QUIT" THEN Quit: GOTO 4007
  IF observation$ = "LOOK" THEN GOTO 4000
  PRINT "You cannot do that here.": GOTO 4007

4100 CLS
  PRINT "You are at the northern end of a very long cooridor.  Double doors open to"
  PRINT "the east.  This level seems more relaxed than the others that you have seen;"
  PRINT "it does not have the air of strict formality.  The teleport pad is to the"
  PRINT "north."
4103 LINE INPUT "> "; cooridor1$: cooridor1$ = UCASE$(cooridor1$)
  IF cooridor1$ = "N" THEN 2400
  IF cooridor1$ = "S" THEN 4500
  IF cooridor1$ = "E" THEN 4200
  IF cooridor1$ = "W" THEN CannotGo: GOTO 4103
  IF cooridor1$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 4103
  IF cooridor1$ = "OBJ" THEN Objectives: GOTO 4103
  IF cooridor1$ = "I" OR cooridor$ = "INVENTORY" THEN Inventory: GOTO 4103
  IF cooridor1$ = "QUIT" THEN Quit: GOTO 4103
  IF cooridor1$ = "LOOK" THEN GOTO 4100
  PRINT "You cannot do that here.": GOTO 4103

4200 CLS
  PRINT "You are standing in the station's mess hall.  Row upon row of metal tables"
  PRINT "and folding chairs fill the room.  The kitchen entrance is to the east."
  PRINT "The food that lays upon the tables has rotted beyond recognition."
4203 LINE INPUT "> "; messhall$: messhall$ = UCASE$(messhall$)
  IF messhall$ = "N" OR messhall$ = "S" THEN CannotGo: GOTO 4203
  IF messhall$ = "E" THEN 4300
  IF messhall$ = "W" THEN 4100
  IF messhall$ = "SEARCH" THEN PRINT "Other than the rotted food, you find nothing.": GOTO 4203
  IF messhall$ = "OBJ" THEN Objectives: GOTO 4203
  IF messhall$ = "I" OR messhall$ = "INVENTORY" THEN Inventory: GOTO 4203
  IF messhall$ = "QUIT" THEN Quit: GOTO 4203
  IF messhall$ = "EAT" OR messhall$ = "EAT FOOD" THEN GOTO 4215
  IF messhall$ = "LOOK" THEN GOTO 4200
  PRINT "You cannot do that here.": GOTO 4203
4215 PRINT "You eat some of the rotted food (your last mistake).  The festered food causes"
  PRINT "instant (and deadly) indigestion.  Too bad: your Earth was really counting on"
  PRINT "you.  Oh, well.  You die.  That's life, er, death."
  PRINT
  Dead

4300 CLS
  PRINT "You are in the station's kitchen.  Rotted food sits half-cooked in pots and on"
  PRINT "plates.  Pans and utensils sit orderly on shelves.  A large rack of chainsaws"
  PRINT "hangs on one wall."
4302 LINE INPUT "> "; kitchen$: kitchen$ = UCASE$(kitchen$)
  IF kitchen$ = "N" OR kitchen$ = "S" OR kitchen$ = "E" THEN CannotGo: GOTO 4302
  IF kitchen$ = "W" THEN 4200
  IF kitchen$ = "OBJ" THEN Objectives: GOTO 4302
  IF kitchen$ = "I" OR kitchen$ = "INVENTORY" THEN Inventory: GOTO 4302
  IF kitchen$ = "QUIT" THEN Quit: GOTO 4302
  IF kitchen$ = "SEARCH" THEN PRINT "You find nothing but several cans of Chef Boyardee ravioli.  Strange"
  IF kitchen$ = "SEARCH" THEN PRINT "food for an alien station.": GOTO 4302
  IF kitchen$ = "EAT" OR kitchen$ = "EAT FOOD" THEN GOTO 4215
  IF kitchen$ = "GET CHAINSAW" OR kitchen$ = "GET CHAINSAWS" THEN PRINT "Let's not get any ideas, now.  This isn't exactly DooM.": GOTO 4302
  IF kitchen$ = "LOOK" THEN GOTO 4300
  PRINT "You cannot do that here.": GOTO 4302

4400 CLS
  PRINT "You are in the captain's stateroom.  A bunk is recessed into the far wall, and"
  PRINT "a table sits in one corner.  Recessed into one wall is a small bookshelf.  The"
  PRINT "room is cold and dust lines all visible surfaces."
4403 LINE INPUT "> "; stateroom$: stateroom$ = UCASE$(stateroom$)
  IF stateroom$ = "N" OR stateroom$ = "S" OR stateroom$ = "W" THEN CannotGo: GOTO 4403
  IF stateroom$ = "E" THEN 4500
  IF stateroom$ = "OBJ" THEN Objectives: GOTO 4403
  IF stateroom$ = "I" OR stateroom$ = "INVENTORY" THEN Inventory: GOTO 4403
  IF stateroom$ = "QUIT" THEN Quit: GOTO 4403
  IF stateroom$ = "SEARCH" AND keyalpha = 1 THEN PRINT "Aside from uninteresting books on the shelves, you find nothing new.": GOTO 4403
  IF stateroom$ = "SEARCH" AND keyalpha = 0 THEN GOTO 4420
  IF stateroom$ = "LOOK" THEN GOTO 4400
  PRINT "You cannot do that here.": GOTO 4403
4420 PRINT "Hidden behifd one of the bookshelves is a small safe."
  INPUT " Number 1 - ", combo11
  INPUT " Number 2 - ", combo22
  INPUT " Number 3 - ", combo33
  IF combo11 = combo1 AND combo22 = combo2 AND combo33 = combo3 THEN GOTO 4425
  PRINT "The safe does not open.": GOTO 4403
4425 PRINT "You open the safe.  Inside is a keycard labeled 'alpha.'  You pocket it."
  keyalpha = 1: GOTO 4403

4500 CLS : PRINT "You are standing midway along the long hallway.  Rooms branch off to"
  PRINT "both the east and west."
4502 LINE INPUT "> "; hallway2$: hallway2$ = UCASE$(hallway2$)
  IF hallway2$ = "N" THEN 4100
  IF hallway2$ = "S" THEN 4800
  IF hallway2$ = "E" THEN 4600
  IF hallway2$ = "W" THEN 4400
  IF hallway2$ = "SEARCH" THEN PRINT "You find nothing that interests you.": GOTO 4502
  IF hallway2$ = "OBJ" THEN Objectives: GOTO 4502
  IF hallway2$ = "I" OR hallway2$ = "INVENTORY" THEN Inventory: GOTO 4502
  IF hallway2$ = "QUIT" THEN Quit: GOTO 4502
  IF hallway2$ = "LOOK" THEN GOTO 4500
  PRINT "You cannot do that here.": GOTO 4502

4600 CLS
  PRINT "You are standing in what seems to be a janatorial closet.  Brooms and sonic"
  PRINT "vacuum cleaners are arranged along the wood paneled walls.  Ironically, dust"
  PRINT "everything in here."
4603 LINE INPUT "> "; closet$: closet$ = UCASE$(closet$)
  IF closet$ = "N" OR closet$ = "S" OR closet$ = "E" THEN CannotGo: GOTO 4603
  IF closet$ = "W" THEN 4500
  IF closet$ = "SEARCH" THEN PRINT "No, you do not find any secret passages.  In fact, you find nothing of interest"
  IF closet$ = "SEARCH" THEN PRINT "whatsoever.": GOTO 4603
  IF closet$ = "OBJ" THEN Objectives: GOTO 4603
  IF closet$ = "I" OR closet$ = "INVENTORY" THEN Inventory: GOTO 4603
  IF closet$ = "QUIT" THEN Quit: GOTO 4603
  IF closet$ = "LOOK" THEN GOTO 4600
  PRINT "You cannot do that here.": GOTO 4603

4700 CLS
  PRINT "This room seems to be the officer's quarters.  Only slightly nicer than the"
  PRINT "crew quarters, metal bunks and small, wooden tables fill the room.  Pens,"
  PRINT "paper, books, and such lay scattered about."
4703 LINE INPUT "> "; officer$: officer$ = UCASE$(officer$)
  IF officer$ = "N" OR officer$ = "S" OR officer$ = "W" THEN CannotGo: GOTO 4703
  IF officer$ = "E" THEN 4800
  IF officer$ = "OBJ" THEN Objectives: GOTO 4703
  IF officer$ = "I" OR officer$ = "INVENTORY" THEN Inventory: GOTO 4703
  IF officer$ = "QUIT" THEN Quit: GOTO 4703
  IF officer$ = "PLAY GAME" OR officer$ = "PLAY RISK" OR officer$ = "SEARCH" THEN GOSUB 4716: GOTO 4703
  IF officer$ = "LOOK" THEN GOTO 4700
  PRINT "You cannot do that here.": GOTO 4703
4716 IF playriskgame = 0 THEN 4725
  PRINT "You find nothing of interest.": RETURN
4725 PRINT "In one corner you find a half-completed game of Risk.  Oh, no!  America is"
  PRINT "about to be invaded!  The red dice show a four and a five."
  playriskgame = 1
4727 riskgame = INT(5 * RND(1))
  IF riskgame = 1 THEN PRINT "You roll a six and a five!  Ha ha!  America has triumphed again!  Once again,"
  IF riskgame = 1 THEN PRINT "you have defeated all odds to protect freedom and democracy for everyone!"
  IF riskgame = 1 THEN PRINT "Don't you feel proud of yourself?": RETURN
  IF riskgame = 2 THEN PRINT "You roll a pair of fours.  Well, both America and the invader lose one army."
  IF riskgame = 2 THEN PRINT "Unfortunately, America only had one army left!  You have failed your country."
  IF riskgame = 2 THEN PRINT "Millions of people are enslaved because of your actions.  Oh, well.  It's"
  IF riskgame = 2 THEN PRINT "only a game, right?  Uh, right?": RETURN
  IF riskgame = 3 THEN PRINT "All right, you pick up the white dice and give them an experimental roll.  Oh,"
  IF riskgame = 3 THEN PRINT "crap!  One of the dice fell underneath one of the bunks.  Oh, well.  You never"
  IF riskgame = 3 THEN PRINT "really liked Risk anyway.": RETURN
  IF riskgame = 4 THEN PRINT "But you hate Risk.  Who cares if America gets invaded?  It's just a stupid game"
  IF riskgame = 4 THEN PRINT "You've got better things to do than worry about it.  On with your mission.": RETURN
  GOTO 4727

4800 CLS
  PRINT "You are standing at the southmost end of the long hallway.  The rooms to the"
  PRINT "east and west seem to be living quarters.  The large doors to the south are"
  PRINT "labeled 'Lounge.'"
4803 LINE INPUT "> "; hallway3$: hallway3$ = UCASE$(hallway3$)
  IF hallway3$ = "N" THEN 4500
  IF hallway3$ = "S" THEN 5000
  IF hallway3$ = "E" THEN 4900
  IF hallway3$ = "W" THEN 4700
  IF hallway3$ = "SEARCH" THEN PRINT "You find nothing.": GOTO 4803
  IF hallway3$ = "OBJ" THEN Objectives: GOTO 4803
  IF hallway3$ = "I" OR hallway3$ = "INVENTORY" THEN Inventory: GOTO 4803
  IF hallway3$ = "QUIT" THEN Quit: GOTO 4803
  IF hallway3$ = "LOOK" THEN GOTO 4800
  PRINT "You cannot do that here.": GOTO 4803

4900 CLS
  PRINT "You are standing in the crew's quarters.  It's pretty messy in here.  Clothes"
  PRINT "and other personal items lay scattered about in disarray, almost entirely"
  PRINT "masking the floor.  Metal bunks and several small study tables round out the"
  PRINT "room."
4904 LINE INPUT "> "; crew$: crew$ = UCASE$(crew$)
  IF crew$ = "N" OR crew$ = "S" OR crew$ = "E" THEN CannotGo: GOTO 4904
  IF crew$ = "W" THEN 4800
  IF crew$ = "OBJ" THEN Objectives: GOTO 4904
  IF crew$ = "I" OR crew$ = "INVENTORY" THEN Inventory: GOTO 4904
  IF crew$ = "QUIT" THEN Quit: GOTO 4904
  IF crew$ = "SEARCH" AND crewsearch = 0 THEN PRINT "Under the layer of clothes, you manage to uncover a stick of stale deoderant"
  IF crew$ = "SEARCH" AND crewsearch = 0 THEN PRINT "and an old cigar butt.  You don't keep them.": crewsearch = 1: GOTO 4904
  IF crew$ = "SEARCH" AND crewsearch = 1 THEN PRINT "There's nothing else of interest in here."
  IF crew$ = "LOOK" THEN GOTO 4900
  PRINT "You cannot do that here.": GOTO 4904

5000 CLS
  PRINT "You are in the station's lounge.  Several padded reading chairs sit about."
  PRINT "Tables and bookshelves of recreational vidoes, books, and games line the"
  PRINT "walls.  The only exit is to the north."
5003 LINE INPUT "> "; lounge$: lounge$ = UCASE$(lounge$)
  IF lounge$ = "N" THEN 4800
  IF lounge$ = "S" OR lounge$ = "E" OR lounge$ = "W" THEN CannotGo: GOTO 5003
  IF lounge$ = "OBJ" THEN Objectives: GOTO 5003
  IF lounge$ = "I" OR lounge$ = "INVENTORY" THEN Inventory: GOTO 5003
  IF lounge$ = "QUIT" THEN Quit: GOTO 5003
  IF lounge$ = "SEARCH" AND cyberjack = 1 THEN PRINT "You find a video disc on ancient Maya weaving.  You throw it away.": GOTO 5003
  IF lounge$ = "SEARCH" AND cyberjack = 0 THEN PRINT "Nestled in a corner, you find a piece of machinery labeled 'Acme Ultra"
  IF lounge$ = "SEARCH" AND cyberjack = 0 THEN PRINT "Cyberjack.'  Interesting find.  You stash it away.": cyberjack = 1: GOTO 5003
  IF lounge$ = "READ" OR lounge$ = "READ BOOK" OR lounge$ = "READ BOOKS" OR lounge$ = "GET BOOK" OR lounge$ = "GET BOOKS" THEN GOTO ReadLoungeBooks
  IF lounge$ = "LOOK" THEN 5000
  IF lounge$ = "GET GAME" OR lounge$ = "PLAY GAME" THEN GOTO GetGame
  IF lounge$ = "GET MOVIE" OR lounge$ = "WATCH MOVIE" OR lounge$ = "GET VIDEO" OR lounge$ = "WATCH VIDEO" THEN GOTO WatchVideo
  PRINT "You cannot do that here.": GOTO 5003
GetGame:
  PRINT "You don't find any games that interest you, but you do notice an empty space"
  PRINT "labeled 'Risk.'"
  GOTO 5003
ReadLoungeBooks:
  PRINT "The lounge's collection of books is limited to trash romance novels and the"
  PRINT "collected works of John Milton."
  GOTO 5003
WatchVideo:
  PRINT "You glance over the available titles.  Oh, my gosh!  They're all Shirley"
  PRINT "Temple movies!  And they've been colorized!"
  GOTO 5003

5100 CLS
  PRINT "You are sitting in the pilot's seat in your shuttle.  The control panel before"
  PRINT "you displays information.": PRINT
  IF fuel = 0 THEN COLOR 12, 0, 9: PRINT "  Fuel reserves depleted": COLOR 7, 0, 8: PRINT
  IF fuel = 1 THEN COLOR 10, 0, 9: PRINT "  Fuel reserves full": COLOR 7, 0, 8: PRINT
  PRINT "What is your choice?"
  PRINT
  PRINT "  1 - Take off"
  PRINT "  2 - Refuel"
  PRINT "  3 - Exit Shuttle"
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "1" THEN GOTO 5200
  IF Temp = "2" THEN GOTO 5120
  IF Temp = "3" THEN GOTO 2000
  COLOR 15, 0, 9: PRINT : PRINT "  <Syntax Error>"
  PressAnyKey
  COLOR 7, 0, 8: GOTO 5100
5120 IF power = 0 THEN PRINT : PRINT "Power has not been restored.  The station's refueling system is off-line.": PressAnyKey
  IF power = 0 THEN GOTO 5100
  IF fuel = 1 THEN PRINT : PRINT "You have already refueled.": PressAnyKey
  IF fuel = 1 THEN GOTO 5100
  PRINT : PRINT "Automated systems attach themselves to your shuttle.  Your shuttle is"
  PRINT "refueled.": fuel = 1
  PressAnyKey
  GOTO 5100
5200 IF fuel = 0 THEN PRINT : PRINT "You have no fuel.": PressAnyKey: GOTO 5100
  EndGame

